import type { _INIntent } from "./INIntent.js";
import type { _INSpeakableString } from "./INSpeakableString.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { INWorkoutGoalUnitType } from "./INWorkoutGoalUnitType.js";
import type { INWorkoutLocationType } from "./INWorkoutLocationType.js";
export declare class _INStartWorkoutIntent extends _INIntent {
    static alloc(): _INStartWorkoutIntent;
    static new(): _INStartWorkoutIntent;
    init(): _INStartWorkoutIntent;
    /**
     * Designated initializer. The `workoutName` can use `INWorkoutNameIdentifier` as its `identifier` parameter.
     */
    initWithWorkoutName$goalValue$workoutGoalUnitType$workoutLocationType$isOpenEnded$(workoutName: _INSpeakableString | null, goalValue: _NSNumber | null, workoutGoalUnitType: INWorkoutGoalUnitType, workoutLocationType: INWorkoutLocationType, isOpenEnded: _NSNumber | null): _INStartWorkoutIntent;
    workoutName(): _INSpeakableString | null;
    goalValue(): _NSNumber;
    workoutGoalUnitType(): INWorkoutGoalUnitType;
    workoutLocationType(): INWorkoutLocationType;
    isOpenEnded(): _NSNumber;
}
